Subject: Re: What's cooking in git.git (Feb 2025, #09; Fri, 28)

From: Junio C Hamano <[email-masked]>
Date: Mon, 03 Mar 2025 09:03:53 -0800

shejialuo <[email-masked]> writes:

> On Fri, Feb 28, 2025 at 04:45:31PM -0800, Junio C Hamano wrote:
>
>> * sj/ref-consistency-checks-more (2025-02-27) 9 commits
>>  - builtin/fsck: add `git refs verify` child process
>>  - packed-backend: check whether the "packed-refs" is sorted
>>  - packed-backend: add "packed-refs" entry consistency check
>>  - packed-backend: check whether the refname contains NUL characters
>>  - packed-backend: add "packed-refs" header consistency check
>>  - packed-backend: check if header starts with "# pack-refs with: "
>>  - packed-backend: check whether the "packed-refs" is regular file
>>  - builtin/refs: get worktrees without reading head information
>>  - t0602: use subshell to ensure working directory unchanged
>> 
>>  "git fsck" becomes more careful when checking the refs.
>> 
>>  Comments?
>>  source: <Z8CMx7O19PMs9sVY@ArchLinux>
>
> I think I have addressed the comments from you, Patrick and Karthik.
> Could we make the patch into "next"?

Mine was merely a small kibitzing on the logic flow structure, and I
didn't really looked at the larger picture beyond that part of the
code I looked at.  Let's hear from Patrick and Karthik (cc'ed) if
they find the result of the updates satisfactory.

Thanks.